<?php
require_once '../database_config.php';

// 检查用户是否有权限访问此页面
check_permission_or_die('customer');

// 记录访问日志
record_log('访问客户管理页面');
?>

<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo title; ?></title>
    <link rel="stylesheet" href="../style.css">
</head>

<body>
    <div class="container">
        <div class="header-local">
            <h2>客户管理</h2>
        </div>

        <div class="content">
            <div class="dashboard">
                <div class="dashboard-card">
                    <h3>会员总数</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">活跃会员：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members WHERE status = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>会员等级</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_member_levels");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">会员等级总数</div>
                </div>

                <div class="dashboard-card">
                    <h3>投诉处理</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_complaints WHERE status < 3");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">待处理投诉数量</div>
                </div>

                <div class="dashboard-card">
                    <h3>营销活动</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_marketing_campaigns WHERE status = 1 AND CURDATE() BETWEEN start_time AND end_time");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">进行中活动数量</div>
                </div>
            </div>

            <h2>功能导航</h2>
            <div class="function-links">
                <a href="member.php" class="function-link">
                    <h3>会员管理</h3>
                </a>
                <a href="complaint.php" class="function-link">
                    <h3>投诉管理</h3>
                </a>
                <a href="marketing.php" class="function-link">
                    <h3>营销管理</h3>
                </a>
            </div>

            <h2>客户统计数据</h2>
            <div class="system-info">
                <table class="info-table">
                    <tr>
                        <td>会员总数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>本月新增会员：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members WHERE DATE_FORMAT(create_time, '%Y%m') = DATE_FORMAT(NOW(), '%Y%m')");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>钻石会员数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members WHERE level_id = 4");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>金卡会员数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members WHERE level_id = 3");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>银卡会员数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members WHERE level_id = 2");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>普通会员数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM guest_members WHERE level_id = 1");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</body>

</html>