<?php
require_once '../database_config.php';

// 检查用户是否有权限访问此页面
check_permission_or_die('inventory');

// 记录访问日志
record_log('访问物资与库存管理页面');
?>

<!DOCTYPE html>
<html lang="zh-CN">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo title; ?></title>
    <link rel="stylesheet" href="../style.css">
</head>

<body>
    <div class="container">
        <div class="header-local">
            <h2>物资与库存管理</h2>
        </div>

        <div class="content">
            <div class="dashboard">
                <div class="dashboard-card">
                    <h3>物资总数</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_items");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">启用中：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_items WHERE status = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>供应商数</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_suppliers");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">合作中：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_suppliers WHERE status = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>今日交易</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_transactions WHERE DATE(transaction_time) = CURDATE()");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">入库：<?php
                                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_transactions WHERE DATE(transaction_time) = CURDATE() AND transaction_type = 1");
                                            $result = $stmt->fetch();
                                            echo $result['count'];
                                            ?> | 出库：<?php
                                                    $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_transactions WHERE DATE(transaction_time) = CURDATE() AND transaction_type = 2");
                                                    $result = $stmt->fetch();
                                                    echo $result['count'];
                                                    ?></div>
                </div>

                <div class="dashboard-card">
                    <h3>库存预警</h3>
                    <div class="number"><?php
                                        $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_items i JOIN inv_stock s ON i.id = s.item_id WHERE s.quantity <= i.min_stock");
                                        $result = $stmt->fetch();
                                        echo $result['count'];
                                        ?></div>
                    <div class="desc">需要补货的物资数量</div>
                </div>
            </div>

            <h2>功能导航</h2>
            <div class="function-links">
                <a href="purchase.php" class="function-link">
                    <h3>物资采购</h3>
                </a>
                <a href="stock.php" class="function-link">
                    <h3>库存管理</h3>
                </a>
                <a href="supplier.php" class="function-link">
                    <h3>供应商管理</h3>
                </a>
            </div>

            <h2>库存统计数据</h2>
            <div class="system-info">
                <table class="info-table">
                    <tr>
                        <td>物资总数：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_items");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>库存预警物资：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT COUNT(*) as count FROM inv_items i JOIN inv_stock s ON i.id = s.item_id WHERE s.quantity <= i.min_stock");
                            $result = $stmt->fetch();
                            echo $result['count'];
                            ?></td>
                    </tr>
                    <tr>
                        <td>库存总量：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT SUM(quantity) as total FROM inv_stock");
                            $result = $stmt->fetch();
                            echo $result['total'] ? $result['total'] : 0;
                            ?> 件</td>
                    </tr>
                    <tr>
                        <td>本月入库数量：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT SUM(quantity) as total FROM inv_transactions WHERE transaction_type = 1 AND DATE_FORMAT(transaction_time, '%Y%m') = DATE_FORMAT(NOW(), '%Y%m')");
                            $result = $stmt->fetch();
                            echo $result['total'] ? $result['total'] : 0;
                            ?> 件</td>
                    </tr>
                    <tr>
                        <td>本月出库数量：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT SUM(quantity) as total FROM inv_transactions WHERE transaction_type = 2 AND DATE_FORMAT(transaction_time, '%Y%m') = DATE_FORMAT(NOW(), '%Y%m')");
                            $result = $stmt->fetch();
                            echo $result['total'] ? $result['total'] : 0;
                            ?> 件</td>
                    </tr>
                    <tr>
                        <td>客房用品库存：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT SUM(s.quantity) as total FROM inv_stock s JOIN inv_items i ON s.item_id = i.id WHERE i.category_id = 1");
                            $result = $stmt->fetch();
                            echo $result['total'] ? $result['total'] : 0;
                            ?> 件</td>
                    </tr>
                    <tr>
                        <td>清洁用品库存：</td>
                        <td><?php
                            $stmt = $pdo->query("SELECT SUM(s.quantity) as total FROM inv_stock s JOIN inv_items i ON s.item_id = i.id WHERE i.category_id = 2");
                            $result = $stmt->fetch();
                            echo $result['total'] ? $result['total'] : 0;
                            ?> 件</td>
                    </tr>
                </table>
            </div>
        </div>
    </div>
</body>

</html>